com.ibm.openpages.api.respview

## Enum RespViewState

- java.lang.Object
- - java.lang.Enum<RespViewState>
  - - com.ibm.openpages.api.respview.RespViewState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RespViewState>

      public enum RespViewState
      extends java.lang.Enum<RespViewState>

  Represents the state of responsive view. The responsive view can persist two states of the views - Draft and Published.

  Since:
    7.4.0.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Draft` Represents draft state of the responsive view
    `Published` Represents published state of the responsive view

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RespViewState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RespViewState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Published

          public static final RespViewState Published

      Represents published state of the responsive view

    - #### Draft

          public static final RespViewState Draft

      Represents draft state of the responsive view

  - ### Method Detail

    - #### values

          public static RespViewState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RespViewState c : RespViewState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RespViewState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.